# QA Dashboard
# Copyright 2012-2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License along
# with this program.  If not, see <http://www.gnu.org/licenses/>.

from django import template
from django.template.defaultfilters import stringfilter

register = template.Library()


def pass_rate_color(value):
    """Colouring for pass rates based on css classes"""
    if value > 0.97:
        return "green"
    elif value > 0.6:
        return "yellow"
    else:
        return "red"

register.filter('pass_rate_color', pass_rate_color)


def pass_fail_color(value):
    """ Coloring for pass/fail values.  """

    # True for failed, False for passed.
    if value:
        return "red"
    else:
        return "green"

register.filter('pass_fail_color', pass_fail_color)


def not_zero_color(value):
    """ Coloring for count values.  """

    if value == 0:
        return "red"
    else:
        return "green"

register.filter('not_zero_color', not_zero_color)

