from psqa.models import (PsqaProject,
                         JenkinsJob,
                         JenkinsBuild,
                         JenkinsRun,
                         JenkinsTestReport,
                         JenkinsCoverageReport,
                         JenkinsFlavor,
                         Series,
                         JenkinsResult,
                         Cu2dStack,
                         LaunchpadProject)
from django.contrib import admin


class Cu2dStackAdmin(admin.ModelAdmin):
    list_display = ('name',
                    'release',
                    'series')

class PsqaProjectAdmin(admin.ModelAdmin):
    list_display = ('name',)

class JenkinsJobAdmin(admin.ModelAdmin):
    list_display = ('name',
                    'last_build',
                    'last_failed_build',
                    'last_successful_build')

class JenkinsBuildAdmin(admin.ModelAdmin):
    list_display = ('url',)
    filter_horizontal = ("downstream_builds",)

class JenkinsRunAdmin(admin.ModelAdmin):
    list_display = ('url',)

class JenkinsFlavorAdmin(admin.ModelAdmin):
    list_display = ('name',)

class SeriesAdmin(admin.ModelAdmin):
    list_display = ('name',)

class JenkinsResultAdmin(admin.ModelAdmin):
    list_display = ('name',)


admin.site.register(PsqaProject, PsqaProjectAdmin)
admin.site.register(JenkinsJob, JenkinsJobAdmin)
admin.site.register(JenkinsBuild, JenkinsBuildAdmin)
admin.site.register(JenkinsRun, JenkinsRunAdmin)
admin.site.register(JenkinsFlavor, JenkinsFlavorAdmin)
admin.site.register(Series, SeriesAdmin)
admin.site.register(JenkinsResult, JenkinsResultAdmin)
admin.site.register(JenkinsTestReport)
admin.site.register(JenkinsCoverageReport)
admin.site.register(Cu2dStack, Cu2dStackAdmin)
admin.site.register(LaunchpadProject)

