import logging
from django.core.management.base import BaseCommand, CommandError
from django.core.management import call_command
from psqa.models import JenkinsJob
from helipad.settings import JENKINS_URL, JENKINS_USER, JENKINS_PASSWORD
from jenkins import Jenkins
import psqa.extractor

logger = logging.getLogger('helipad')

class Command(BaseCommand):
    help = 'Poll Jenkins at the top-level for jobs, builds, and reports.'

    def handle(self, *args, **options):
        logger.debug("polling Jenkins")
        ps_jenkins = Jenkins(JENKINS_URL,
                             JENKINS_USER,
                             JENKINS_PASSWORD)
        # NOTE that this may create jobs, builds, and reports
        # FIXME: get all jobs first!
        for jenkins_job in jenkins_jobs:
            slurp_job(ps_jenkins, jenkins_job.url)
        # now that we have all jobs, slurp builds
        jenkins_jobs = psqa.models.JenkinsJob.objects.all()
        for jenkins_job in jenkins_jobs:
            call_command('slurp_builds', job_url)
            slurp_builds(ps_jenkins, jenkins_job)
