import logging
from django.core.management.base import BaseCommand, CommandError
from optparse import make_option
from jenkins import Jenkins
from psqa.models import JenkinsRun
from psqa.util.command_utils import slurp_job
from helipad.settings import JENKINS_URL, JENKINS_USER, JENKINS_PASSWORD


logger = logging.getLogger("helipad")


class Command(BaseCommand):
    help = "Slurp a Jenkins job and deposit in the database."

    option_list = BaseCommand.option_list + (
        # TODO make this required
        make_option('--url',
            action='store',
            dest='url',
            help='url of the Jenkins job'),
        )

    def handle(self, *args, **options):
        # TODO: pass these through
        ps_jenkins = Jenkins(JENKINS_URL,
                             JENKINS_USER,
                             JENKINS_PASSWORD)
        logger.debug("slurping job at {}".format(options['url']))
        slurp_job(options['url'])
