from django.core.management.base import BaseCommand, CommandError
from psqa.models import JenkinsJob
from helipad.settings import JENKINS_URL, JENKINS_USER, JENKINS_PASSWORD
from jenkins import Jenkins

class Command(BaseCommand):
    help = 'Poll Jenkins at the top-level for projects.'

    def handle(self, *args, **options):
        ps_jenkins = Jenkins(JENKINS_URL,
                             JENKINS_USER,
                             JENKINS_PASSWORD)
        jenkins_jobs = ps_jenkins.get_jobs()
        for jenkins_job in jenkins_jobs:
            try:
                job = JenkinsJob.objects.get(name=jenkins_job['name'])
            except JenkinsJob.DoesNotExist:
                new_jenkins_job = JenkinsJob(name=jenkins_job['name'],
                                             url=jenkins_job['url'])

