# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Project'
        db.create_table('psqa_project', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('autolanding_jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='autolanding_jenkins_job', null=True, on_delete=models.SET_NULL, to=orm['psqa.JenkinsJob'])),
            ('ci_jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(blank=True, related_name='ci_jenkins_job', null=True, on_delete=models.SET_NULL, to=orm['psqa.JenkinsJob'])),
            ('unit_tests_exist', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('coverage_exists', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('staging_ppa', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('active', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('responsible', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('comment', self.gf('django.db.models.fields.TextField')(max_length=1024, null=True, blank=True)),
            ('super_project', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('maintainer', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('driver', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('bug_supervisor', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('security_contact', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('project_group', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
        ))
        db.send_create_signal('psqa', ['Project'])

        # Adding model 'LaunchpadProject'
        db.create_table('psqa_launchpadproject', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('project', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.Project'])),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200)),
        ))
        db.send_create_signal('psqa', ['LaunchpadProject'])

        # Adding model 'Cu2dStack'
        db.create_table('psqa_cu2dstack', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
            ('config', self.gf('django.db.models.fields.TextField')(null=True)),
            ('series', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.Series'], null=True)),
            ('ppa', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('release', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('extracheck', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('dest', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
            ('schedule', self.gf('django.db.models.fields.CharField')(max_length=64, null=True)),
        ))
        db.send_create_signal('psqa', ['Cu2dStack'])

        # Adding M2M table for field dependencies on 'Cu2dStack'
        db.create_table('psqa_cu2dstack_dependencies', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('from_cu2dstack', models.ForeignKey(orm['psqa.cu2dstack'], null=False)),
            ('to_cu2dstack', models.ForeignKey(orm['psqa.cu2dstack'], null=False))
        ))
        db.create_unique('psqa_cu2dstack_dependencies', ['from_cu2dstack_id', 'to_cu2dstack_id'])

        # Adding M2M table for field projects on 'Cu2dStack'
        db.create_table('psqa_cu2dstack_projects', (
            ('id', models.AutoField(verbose_name='ID', primary_key=True, auto_created=True)),
            ('cu2dstack', models.ForeignKey(orm['psqa.cu2dstack'], null=False)),
            ('launchpadproject', models.ForeignKey(orm['psqa.launchpadproject'], null=False))
        ))
        db.create_unique('psqa_cu2dstack_projects', ['cu2dstack_id', 'launchpadproject_id'])

        # Adding model 'JenkinsTestReport'
        db.create_table('psqa_jenkinstestreport', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsRun'])),
            ('fail_count', self.gf('django.db.models.fields.IntegerField')()),
            ('pass_count', self.gf('django.db.models.fields.IntegerField')()),
            ('skip_count', self.gf('django.db.models.fields.IntegerField')()),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
        ))
        db.send_create_signal('psqa', ['JenkinsTestReport'])

        # Adding model 'JenkinsCoverageReport'
        db.create_table('psqa_jenkinscoveragereport', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('run', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsRun'])),
            ('xml_text', self.gf('django.db.models.fields.TextField')()),
            ('line_rate', self.gf('django.db.models.fields.FloatField')()),
            ('branch_rate', self.gf('django.db.models.fields.FloatField')()),
        ))
        db.send_create_signal('psqa', ['JenkinsCoverageReport'])

        # Adding model 'JenkinsFlavor'
        db.create_table('psqa_jenkinsflavor', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('psqa', ['JenkinsFlavor'])

        # Adding model 'Series'
        db.create_table('psqa_series', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('psqa', ['Series'])

        # Adding model 'JenkinsRunParameter'
        db.create_table('psqa_jenkinsrunparameter', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('key', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsBuildParameter'])),
            ('value', self.gf('django.db.models.fields.CharField')(max_length=256)),
        ))
        db.send_create_signal('psqa', ['JenkinsRunParameter'])

        # Adding model 'JenkinsBuildParameter'
        db.create_table('psqa_jenkinsbuildparameter', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('psqa', ['JenkinsBuildParameter'])

        # Adding model 'JenkinsResult'
        db.create_table('psqa_jenkinsresult', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=64)),
        ))
        db.send_create_signal('psqa', ['JenkinsResult'])

        # Adding model 'JenkinsRun'
        db.create_table('psqa_jenkinsrun', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('jenkins_build', self.gf('django.db.models.fields.related.ForeignKey')(related_name='runs', null=True, to=orm['psqa.JenkinsBuild'])),
            ('number', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('url', self.gf('django.db.models.fields.URLField')(unique=True, max_length=200)),
            ('duration', self.gf('django.db.models.fields.IntegerField')()),
            ('flavor', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsFlavor'])),
            ('series', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.Series'])),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsResult'])),
            ('coverage_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsCoverageReport'], null=True)),
            ('test_report', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsTestReport'], null=True)),
            ('timestamp', self.gf('django.db.models.fields.DateTimeField')()),
        ))
        db.send_create_signal('psqa', ['JenkinsRun'])

        # Adding model 'JenkinsBuild'
        db.create_table('psqa_jenkinsbuild', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='builds', null=True, to=orm['psqa.JenkinsJob'])),
            ('number', self.gf('django.db.models.fields.IntegerField')()),
            ('timestamp', self.gf('django.db.models.fields.DateTimeField')()),
            ('url', self.gf('django.db.models.fields.URLField')(unique=True, max_length=200)),
            ('result', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsResult'])),
        ))
        db.send_create_signal('psqa', ['JenkinsBuild'])

        # Adding model 'JenkinsJob'
        db.create_table('psqa_jenkinsjob', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256)),
            ('url', self.gf('django.db.models.fields.URLField')(max_length=200)),
            ('buildable', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('in_queue', self.gf('django.db.models.fields.BooleanField')(default=False)),
            ('last_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_completed_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_failed_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
            ('last_successful_build', self.gf('django.db.models.fields.IntegerField')(null=True)),
        ))
        db.send_create_signal('psqa', ['JenkinsJob'])


    def backwards(self, orm):
        # Deleting model 'Project'
        db.delete_table('psqa_project')

        # Deleting model 'LaunchpadProject'
        db.delete_table('psqa_launchpadproject')

        # Deleting model 'Cu2dStack'
        db.delete_table('psqa_cu2dstack')

        # Removing M2M table for field dependencies on 'Cu2dStack'
        db.delete_table('psqa_cu2dstack_dependencies')

        # Removing M2M table for field projects on 'Cu2dStack'
        db.delete_table('psqa_cu2dstack_projects')

        # Deleting model 'JenkinsTestReport'
        db.delete_table('psqa_jenkinstestreport')

        # Deleting model 'JenkinsCoverageReport'
        db.delete_table('psqa_jenkinscoveragereport')

        # Deleting model 'JenkinsFlavor'
        db.delete_table('psqa_jenkinsflavor')

        # Deleting model 'Series'
        db.delete_table('psqa_series')

        # Deleting model 'JenkinsRunParameter'
        db.delete_table('psqa_jenkinsrunparameter')

        # Deleting model 'JenkinsBuildParameter'
        db.delete_table('psqa_jenkinsbuildparameter')

        # Deleting model 'JenkinsResult'
        db.delete_table('psqa_jenkinsresult')

        # Deleting model 'JenkinsRun'
        db.delete_table('psqa_jenkinsrun')

        # Deleting model 'JenkinsBuild'
        db.delete_table('psqa_jenkinsbuild')

        # Deleting model 'JenkinsJob'
        db.delete_table('psqa_jenkinsjob')


    models = {
        'psqa.cu2dstack': {
            'Meta': {'object_name': 'Cu2dStack'},
            'config': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'dependencies': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.Cu2dStack']", 'null': 'True', 'symmetrical': 'False'}),
            'dest': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'extracheck': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'ppa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'projects': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.LaunchpadProject']", 'null': 'True', 'symmetrical': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'schedule': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']", 'null': 'True'})
        },
        'psqa.jenkinsbuild': {
            'Meta': {'object_name': 'JenkinsBuild'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'builds'", 'null': 'True', 'to': "orm['psqa.JenkinsJob']"}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsbuildparameter': {
            'Meta': {'object_name': 'JenkinsBuildParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinscoveragereport': {
            'Meta': {'object_name': 'JenkinsCoverageReport'},
            'branch_rate': ('django.db.models.fields.FloatField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'line_rate': ('django.db.models.fields.FloatField', [], {}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsRun']"}),
            'xml_text': ('django.db.models.fields.TextField', [], {})
        },
        'psqa.jenkinsflavor': {
            'Meta': {'object_name': 'JenkinsFlavor'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob'},
            'buildable': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_queue': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_completed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_failed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_successful_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.jenkinsresult': {
            'Meta': {'object_name': 'JenkinsResult'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsrun': {
            'Meta': {'object_name': 'JenkinsRun'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsCoverageReport']", 'null': 'True'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'flavor': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsFlavor']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'runs'", 'null': 'True', 'to': "orm['psqa.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']"}),
            'test_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsTestReport']", 'null': 'True'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsrunparameter': {
            'Meta': {'object_name': 'JenkinsRunParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsBuildParameter']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        'psqa.jenkinstestreport': {
            'Meta': {'object_name': 'JenkinsTestReport'},
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsRun']"}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {})
        },
        'psqa.launchpadproject': {
            'Meta': {'object_name': 'LaunchpadProject'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Project']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.project': {
            'Meta': {'object_name': 'Project'},
            'active': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'autolanding_jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'autolanding_jenkins_job'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['psqa.JenkinsJob']"}),
            'bug_supervisor': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'ci_jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'blank': 'True', 'related_name': "'ci_jenkins_job'", 'null': 'True', 'on_delete': 'models.SET_NULL', 'to': "orm['psqa.JenkinsJob']"}),
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'coverage_exists': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'driver': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'maintainer': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'project_group': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'responsible': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'security_contact': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'staging_ppa': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'super_project': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'unit_tests_exist': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'})
        },
        'psqa.series': {
            'Meta': {'object_name': 'Series'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['psqa']