# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Deleting model 'Project'
        db.delete_table('psqa_project')

        # Adding model 'PsqaProjectGroup'
        db.create_table('psqa_psqaprojectgroup', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
        ))
        db.send_create_signal('psqa', ['PsqaProjectGroup'])

        # Adding model 'PsqaProject'
        db.create_table('psqa_psqaproject', (
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256)),
            ('lp_project', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.LaunchpadProject'], null=True)),
            ('jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsJob'], null=True)),
            ('staging_ppa', self.gf('django.db.models.fields.CharField')(max_length=256, null=True)),
            ('active', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('responsible', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('comment', self.gf('django.db.models.fields.TextField')(max_length=1024, null=True, blank=True)),
            ('super_project', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('maintainer', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('driver', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('bug_supervisor', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('security_contact', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('project_group', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
        ))
        db.send_create_signal('psqa', ['PsqaProject'])

        # Adding field 'JenkinsJob.parameters'
        db.add_column('psqa_jenkinsjob', 'parameters',
                      self.gf('django.db.models.fields.CharField')(max_length=256, null=True),
                      keep_default=False)

        # Deleting field 'LaunchpadProject.project'
        db.delete_column('psqa_launchpadproject', 'project_id')

        # Adding field 'LaunchpadProject.name'
        db.add_column('psqa_launchpadproject', 'name',
                      self.gf('django.db.models.fields.CharField')(default=None, max_length=256),
                      keep_default=False)


    def backwards(self, orm):
        # Adding model 'Project'
        db.create_table('psqa_project', (
            ('comment', self.gf('django.db.models.fields.TextField')(max_length=1024, null=True, blank=True)),
            ('maintainer', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('autolanding_jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='autolanding_jenkins_job', null=True, to=orm['psqa.JenkinsJob'], on_delete=models.SET_NULL, blank=True)),
            ('ci_jenkins_job', self.gf('django.db.models.fields.related.ForeignKey')(related_name='ci_jenkins_job', null=True, to=orm['psqa.JenkinsJob'], on_delete=models.SET_NULL, blank=True)),
            ('coverage_exists', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('responsible', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('driver', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('bug_supervisor', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('project_group', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
            ('staging_ppa', self.gf('django.db.models.fields.CharField')(max_length=256)),
            ('super_project', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('active', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('unit_tests_exist', self.gf('django.db.models.fields.NullBooleanField')(null=True, blank=True)),
            ('id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('security_contact', self.gf('django.db.models.fields.CharField')(max_length=256, null=True, blank=True)),
        ))
        db.send_create_signal('psqa', ['Project'])

        # Deleting model 'PsqaProjectGroup'
        db.delete_table('psqa_psqaprojectgroup')

        # Deleting model 'PsqaProject'
        db.delete_table('psqa_psqaproject')

        # Deleting field 'JenkinsJob.parameters'
        db.delete_column('psqa_jenkinsjob', 'parameters')


        # User chose to not deal with backwards NULL issues for 'LaunchpadProject.project'
        raise RuntimeError("Cannot reverse this migration. 'LaunchpadProject.project' and its values cannot be restored.")
        # Deleting field 'LaunchpadProject.name'
        db.delete_column('psqa_launchpadproject', 'name')


    models = {
        'psqa.cu2dstack': {
            'Meta': {'object_name': 'Cu2dStack'},
            'config': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'dependencies': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.Cu2dStack']", 'null': 'True', 'symmetrical': 'False'}),
            'dest': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'extracheck': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'ppa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'projects': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.LaunchpadProject']", 'null': 'True', 'symmetrical': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'schedule': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']", 'null': 'True'})
        },
        'psqa.jenkinsbuild': {
            'Meta': {'object_name': 'JenkinsBuild'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'builds'", 'null': 'True', 'to': "orm['psqa.JenkinsJob']"}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsbuildparameter': {
            'Meta': {'object_name': 'JenkinsBuildParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinscoveragereport': {
            'Meta': {'object_name': 'JenkinsCoverageReport'},
            'branch_rate': ('django.db.models.fields.FloatField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'line_rate': ('django.db.models.fields.FloatField', [], {}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsRun']"}),
            'xml_text': ('django.db.models.fields.TextField', [], {})
        },
        'psqa.jenkinsflavor': {
            'Meta': {'object_name': 'JenkinsFlavor'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob'},
            'buildable': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_queue': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_completed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_failed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_successful_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'parameters': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.jenkinsresult': {
            'Meta': {'object_name': 'JenkinsResult'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsrun': {
            'Meta': {'object_name': 'JenkinsRun'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsCoverageReport']", 'null': 'True'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'flavor': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsFlavor']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'runs'", 'null': 'True', 'to': "orm['psqa.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']"}),
            'test_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsTestReport']", 'null': 'True'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsrunparameter': {
            'Meta': {'object_name': 'JenkinsRunParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsBuildParameter']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        'psqa.jenkinstestreport': {
            'Meta': {'object_name': 'JenkinsTestReport'},
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsRun']"}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {})
        },
        'psqa.launchpadproject': {
            'Meta': {'object_name': 'LaunchpadProject'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.psqaproject': {
            'Meta': {'object_name': 'PsqaProject'},
            'active': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bug_supervisor': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'driver': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsJob']", 'null': 'True'}),
            'lp_project': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.LaunchpadProject']", 'null': 'True'}),
            'maintainer': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'project_group': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'responsible': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'security_contact': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'staging_ppa': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True'}),
            'super_project': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'})
        },
        'psqa.psqaprojectgroup': {
            'Meta': {'object_name': 'PsqaProjectGroup'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'psqa.series': {
            'Meta': {'object_name': 'Series'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['psqa']