# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding field 'JenkinsBuild.coverage_report'
        db.add_column('psqa_jenkinsbuild', 'coverage_report',
                      self.gf('django.db.models.fields.related.ForeignKey')(to=orm['psqa.JenkinsCoverageReport'], null=True),
                      keep_default=False)


    def backwards(self, orm):
        # Deleting field 'JenkinsBuild.coverage_report'
        db.delete_column('psqa_jenkinsbuild', 'coverage_report_id')


    models = {
        'psqa.cu2dstack': {
            'Meta': {'object_name': 'Cu2dStack'},
            'config': ('django.db.models.fields.TextField', [], {'null': 'True'}),
            'dependencies': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.Cu2dStack']", 'null': 'True', 'symmetrical': 'False'}),
            'dest': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'extracheck': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'ppa': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'psqa_projects': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.PsqaProject']", 'null': 'True', 'symmetrical': 'False'}),
            'release': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'schedule': ('django.db.models.fields.CharField', [], {'max_length': '64', 'null': 'True'}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']", 'null': 'True'})
        },
        'psqa.jenkinsbuild': {
            'Meta': {'object_name': 'JenkinsBuild'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsCoverageReport']", 'null': 'True'}),
            'downstream_builds': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.JenkinsBuild']", 'symmetrical': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'builds'", 'null': 'True', 'to': "orm['psqa.JenkinsJob']"}),
            'number': ('django.db.models.fields.IntegerField', [], {}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsbuildparameter': {
            'Meta': {'object_name': 'JenkinsBuildParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinscoveragereport': {
            'Meta': {'object_name': 'JenkinsCoverageReport'},
            'branch_rate': ('django.db.models.fields.FloatField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsBuild']", 'null': 'True'}),
            'line_rate': ('django.db.models.fields.FloatField', [], {}),
            'xml_text': ('django.db.models.fields.TextField', [], {})
        },
        'psqa.jenkinsflavor': {
            'Meta': {'object_name': 'JenkinsFlavor'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsjob': {
            'Meta': {'object_name': 'JenkinsJob'},
            'buildable': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'in_queue': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'last_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_completed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_failed_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'last_successful_build': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'parameters': ('jsonfield.fields.JSONField', [], {'max_length': '256', 'null': 'True'}),
            'project': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'jenkins_jobs'", 'null': 'True', 'to': "orm['psqa.PsqaProject']"}),
            'upstream_job': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'downstream_jobs'", 'null': 'True', 'to': "orm['psqa.JenkinsJob']"}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.jenkinsresult': {
            'Meta': {'object_name': 'JenkinsResult'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        },
        'psqa.jenkinsrun': {
            'Meta': {'object_name': 'JenkinsRun'},
            'coverage_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsCoverageReport']", 'null': 'True'}),
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'flavor': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsFlavor']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'jenkins_build': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'runs'", 'null': 'True', 'to': "orm['psqa.JenkinsBuild']"}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'number': ('django.db.models.fields.IntegerField', [], {'null': 'True'}),
            'parameters': ('jsonfield.fields.JSONField', [], {'max_length': '256', 'null': 'True'}),
            'result': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsResult']"}),
            'series': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.Series']"}),
            'test_report': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsTestReport']", 'null': 'True'}),
            'timestamp': ('django.db.models.fields.DateTimeField', [], {}),
            'url': ('django.db.models.fields.URLField', [], {'unique': 'True', 'max_length': '200'})
        },
        'psqa.jenkinsrunparameter': {
            'Meta': {'object_name': 'JenkinsRunParameter'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'key': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsBuildParameter']"}),
            'value': ('django.db.models.fields.CharField', [], {'max_length': '256'})
        },
        'psqa.jenkinstestreport': {
            'Meta': {'object_name': 'JenkinsTestReport'},
            'duration': ('django.db.models.fields.IntegerField', [], {}),
            'fail_count': ('django.db.models.fields.IntegerField', [], {}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'pass_count': ('django.db.models.fields.IntegerField', [], {}),
            'run': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['psqa.JenkinsRun']"}),
            'skip_count': ('django.db.models.fields.IntegerField', [], {})
        },
        'psqa.launchpadproject': {
            'Meta': {'object_name': 'LaunchpadProject'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '256'}),
            'url': ('django.db.models.fields.URLField', [], {'max_length': '200'})
        },
        'psqa.psqaproject': {
            'Meta': {'object_name': 'PsqaProject'},
            'active': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'}),
            'bug_supervisor': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'comment': ('django.db.models.fields.TextField', [], {'max_length': '1024', 'null': 'True', 'blank': 'True'}),
            'driver': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'launchpad_projects': ('django.db.models.fields.related.ManyToManyField', [], {'to': "orm['psqa.LaunchpadProject']", 'null': 'True', 'symmetrical': 'False'}),
            'maintainer': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'}),
            'project_group': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'responsible': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'security_contact': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True', 'blank': 'True'}),
            'staging_ppa': ('django.db.models.fields.CharField', [], {'max_length': '256', 'null': 'True'}),
            'super_project': ('django.db.models.fields.NullBooleanField', [], {'null': 'True', 'blank': 'True'})
        },
        'psqa.psqaprojectgroup': {
            'Meta': {'object_name': 'PsqaProjectGroup'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'})
        },
        'psqa.series': {
            'Meta': {'object_name': 'Series'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '64'})
        }
    }

    complete_apps = ['psqa']