
import re
from mock import patch, MagicMock
from django.test import TestCase
from psqa.management.commands.slurp_cu2d_configs import config_is_on_blacklist



class TestConfigIsOnBlackList(TestCase):
    
    def test_yes(self):
        config_blacklist = ['phablet/ubuntu-touch-coreapps.cfg']
        config_path = "/tmp/tmp5PVc3r/cupstream2distro-config/stacks/phablet/ubuntu-touch-coreapps.cfg"
        with patch('psqa.management.commands.slurp_cu2d_configs.CONFIG_BLACKLIST',
                   config_blacklist):
            result = config_is_on_blacklist(config_path)
        self.assertTrue(result)


    def test_no(self):
        config_blacklist = ['phablet/ubuntu-touch-coreapps.cfg']
        config_path = "/tmp/tmp5PVc3r/cupstream2distro-config/stacks/phablet/apps.cfg"
        with patch('psqa.management.commands.slurp_cu2d_configs.CONFIG_BLACKLIST',
                   config_blacklist):
            result = config_is_on_blacklist(config_path)
        self.assertFalse(result)
