import re
import logging
from helipad.settings import JENKINS_URL
from psqa.models import (JenkinsJob,
                         JenkinsRun,
                         JenkinsBuild,
                         Cu2dStack,
                         PsqaProject)


logger = logging.getLogger('helipad')


# TODO restore: requires knowledge of which build we belong to
#def slurp_run(url):
#    """Slurp a Jenkins run URL into the database."""
#
#    JenkinsRun.objects.create_from_url(url)


# TODO restore: requires knowledge of which job we belong to
#def slurp_build(url):
#    """Slurp a Jenkins build URL into the database."""
#
#    JenkinsBuild.objects.create_from_url(url)


def slurp_job(url):
    """Slurp a Jenkins job URL into the database."""

    JenkinsJob.objects.create_from_url(url)


def slurp_cu2d_config(config):
    """Slurp a cu2d config into the database."""

    Cu2dStack.objects.create_from_config(config)


def slurp_project(name):
    """Create a top-level dashboard project.

    This scans for matching Jenkins jobs and Launchpad projects and
    makes the necessary links.
    """

    PsqaProject.objects.create_from_name(name)


def get_autolanding_job_for_project(name):
    """Get an autolanding job using project name and regex."""

    return JenkinsJob.objects.get_autolanding_job(name=name)


def get_ci_job_for_project(name):
    """Get a CI job using project name and regex."""

    return JenkinsJob.objects.get_ci_job(name=name)


def get_daily_job_for_project(name):
    """Get a CI job using project name and regex."""

    return JenkinsJob.objects.get_daily_job(name=name)


